import { html as n } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, f = Object.getOwnPropertyDescriptor, p = (c, e, i, t) => {
  for (var r = t > 1 ? void 0 : t ? f(e, i) : e, o = c.length - 1, a; o >= 0; o--)
    (a = c[o]) && (r = (t ? a(e, i, r) : a(r)) || r);
  return t && r && m(e, i, r), r;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--driverCarLarge", this.class = "c-pieIcon c-pieIcon--driverCarLarge", this.name = "IconDriverCarLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--driverCarLarge"><path d="M16 12.5a4.813 4.813 0 1 0-.003-9.626A4.813 4.813 0 0 0 16 12.5m-2.17-7a3.071 3.071 0 1 1 4.312 4.375A3.071 3.071 0 0 1 13.83 5.5m-5.433 14H6.55l.464-1.374a6.89 6.89 0 0 1 6.545-4.751h4.883a6.89 6.89 0 0 1 6.544 4.751l.464 1.374h-1.846l-.271-.823a5.15 5.15 0 0 0-4.891-3.552h-4.883a5.15 5.15 0 0 0-4.891 3.552zm15.916 7.438v.437h-1.75a4 4 0 0 0 0-.437 6.563 6.563 0 1 0-13.125 0 4 4 0 0 0 0 .437h-1.75v-.437a8.313 8.313 0 0 1 16.625 0m-2.931 0v.437h-1.75a4 4 0 0 0 0-.437 3.631 3.631 0 0 0-7.263 0q.009.22.044.437h-1.75v-.437a5.381 5.381 0 0 1 10.762 0z"></path></svg>`;
  }
};
p([
  l({ type: String, reflect: !0 })
], s.prototype, "size", 2);
p([
  l({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = p([
  v("icon-driver-car-large")
], s);
export {
  s as IconDriverCarLarge
};
